<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Package org.apache.commons.configuration2 (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.commons.configuration2 (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/configuration2/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package org.apache.commons.configuration2" class="title">Uses of Package<br>org.apache.commons.configuration2</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2">org.apache.commons.configuration2</a></td>
<td class="colLast">
<div class="block">
 The Configuration main package.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.beanutils">org.apache.commons.configuration2.beanutils</a></td>
<td class="colLast">
<div class="block">
 In this package a <code>Configuration</code> implementation can be found that
 implements the <code>DynaBean</code> interface.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder">org.apache.commons.configuration2.builder</a></td>
<td class="colLast">
<div class="block">
 This package contains the implementations of <em>configuration builder</em>
 classes used to create new <code>Configuration</code> objects.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder.combined">org.apache.commons.configuration2.builder.combined</a></td>
<td class="colLast">
<div class="block">
 A package containing the implementation of the builder for combined
 configurations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder.fluent">org.apache.commons.configuration2.builder.fluent</a></td>
<td class="colLast">
<div class="block">
 This package defines a fluent API for setting up fully configured configuration
 builders.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.plist">org.apache.commons.configuration2.plist</a></td>
<td class="colLast">
<div class="block">
 Configuration classes supporting NeXT / OpenStep /GNUStep style configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.spring">org.apache.commons.configuration2.spring</a></td>
<td class="colLast">
<div class="block">
 A package containing integrations for the Spring Framework.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.web">org.apache.commons.configuration2.web</a></td>
<td class="colLast">
<div class="block">
 This package contains some implementations of the <code>Configuration</code>
 interface that are useful in web environments.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> used by <a href="../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/AbstractConfiguration.html#org.apache.commons.configuration2">AbstractConfiguration</a>
<div class="block">Abstract configuration class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/AbstractHierarchicalConfiguration.html#org.apache.commons.configuration2">AbstractHierarchicalConfiguration</a>
<div class="block">
 A specialized configuration class that extends its base class by the ability
 of keeping more structure in the stored properties.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/AbstractYAMLBasedConfiguration.html#org.apache.commons.configuration2">AbstractYAMLBasedConfiguration</a>
<div class="block">
 A base class for configuration implementations based on YAML structures.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/BaseConfiguration.html#org.apache.commons.configuration2">BaseConfiguration</a>
<div class="block">Basic configuration class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/BaseHierarchicalConfiguration.html#org.apache.commons.configuration2">BaseHierarchicalConfiguration</a>
<div class="block">
 A specialized hierarchical configuration implementation that is based on a
 structure of <a href="../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree"><code>ImmutableNode</code></a> objects.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/CombinedConfiguration.html#org.apache.commons.configuration2">CombinedConfiguration</a>
<div class="block">
 A hierarchical composite configuration class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/Configuration.html#org.apache.commons.configuration2">Configuration</a>
<div class="block">The main Configuration interface.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/ConfigurationComparator.html#org.apache.commons.configuration2">ConfigurationComparator</a>
<div class="block">Comparator for configurations interface.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/ConfigurationDecoder.html#org.apache.commons.configuration2">ConfigurationDecoder</a>
<div class="block">
 An interface for decoding encoded values from a configuration source.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/ConfigurationXMLReader.html#org.apache.commons.configuration2">ConfigurationXMLReader</a>
<div class="block">A base class for &quot;faked&quot; <code>XMLReader</code> classes
 that transform a configuration object in a set of SAX parsing events.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/FileBasedConfiguration.html#org.apache.commons.configuration2">FileBasedConfiguration</a>
<div class="block">
 An interface which combines the <code>FileBased</code> and <code>Configuration</code>
 interfaces.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/HierarchicalConfiguration.html#org.apache.commons.configuration2">HierarchicalConfiguration</a>
<div class="block">
 An interface for mutable hierarchical configurations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/ImmutableConfiguration.html#org.apache.commons.configuration2">ImmutableConfiguration</a>
<div class="block">The main interface for accessing configuration data in a read-only fashion.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/ImmutableHierarchicalConfiguration.html#org.apache.commons.configuration2">ImmutableHierarchicalConfiguration</a>
<div class="block">
 An interface for immutable hierarchical configurations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/MapConfiguration.html#org.apache.commons.configuration2">MapConfiguration</a>
<div class="block">
 A Map based Configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/PropertiesConfiguration.html#org.apache.commons.configuration2">PropertiesConfiguration</a>
<div class="block">This is the "classic" Properties loader which loads the values from
 a single or multiple files (which can be chained with "include =".</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/PropertiesConfiguration.IOFactory.html#org.apache.commons.configuration2">PropertiesConfiguration.IOFactory</a>
<div class="block">
 Definition of an interface that allows customization of read and write
 operations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/PropertiesConfiguration.PropertiesReader.html#org.apache.commons.configuration2">PropertiesConfiguration.PropertiesReader</a>
<div class="block">This class is used to read properties lines.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/PropertiesConfiguration.PropertiesWriter.html#org.apache.commons.configuration2">PropertiesConfiguration.PropertiesWriter</a>
<div class="block">This class is used to write properties lines.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/PropertiesConfigurationLayout.html#org.apache.commons.configuration2">PropertiesConfigurationLayout</a>
<div class="block">
 A helper class used by <a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2"><code>PropertiesConfiguration</code></a> to keep
 the layout of a properties file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/SubnodeConfiguration.html#org.apache.commons.configuration2">SubnodeConfiguration</a>
<div class="block">
 A specialized hierarchical configuration class with a node model that uses a
 tracked node of another node model as its root node.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.beanutils">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> used by <a href="../../../../org/apache/commons/configuration2/beanutils/package-summary.html">org.apache.commons.configuration2.beanutils</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/Configuration.html#org.apache.commons.configuration2.beanutils">Configuration</a>
<div class="block">The main Configuration interface.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/ConfigurationMap.html#org.apache.commons.configuration2.beanutils">ConfigurationMap</a>
<div class="block">The <code>ConfigurationMap</code> wraps a
 configuration-collection
 <a href="../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2"><code>Configuration</code></a>
 instance to provide a <code>Map</code> interface.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/HierarchicalConfiguration.html#org.apache.commons.configuration2.beanutils">HierarchicalConfiguration</a>
<div class="block">
 An interface for mutable hierarchical configurations.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.builder">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> used by <a href="../../../../org/apache/commons/configuration2/builder/package-summary.html">org.apache.commons.configuration2.builder</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/ConfigurationDecoder.html#org.apache.commons.configuration2.builder">ConfigurationDecoder</a>
<div class="block">
 An interface for decoding encoded values from a configuration source.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/FileBasedConfiguration.html#org.apache.commons.configuration2.builder">FileBasedConfiguration</a>
<div class="block">
 An interface which combines the <code>FileBased</code> and <code>Configuration</code>
 interfaces.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/ImmutableConfiguration.html#org.apache.commons.configuration2.builder">ImmutableConfiguration</a>
<div class="block">The main interface for accessing configuration data in a read-only fashion.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/PropertiesConfiguration.IOFactory.html#org.apache.commons.configuration2.builder">PropertiesConfiguration.IOFactory</a>
<div class="block">
 Definition of an interface that allows customization of read and write
 operations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/PropertiesConfigurationLayout.html#org.apache.commons.configuration2.builder">PropertiesConfigurationLayout</a>
<div class="block">
 A helper class used by <a href="../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2"><code>PropertiesConfiguration</code></a> to keep
 the layout of a properties file.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.builder.combined">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> used by <a href="../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/CombinedConfiguration.html#org.apache.commons.configuration2.builder.combined">CombinedConfiguration</a>
<div class="block">
 A hierarchical composite configuration class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/Configuration.html#org.apache.commons.configuration2.builder.combined">Configuration</a>
<div class="block">The main Configuration interface.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/FileBasedConfiguration.html#org.apache.commons.configuration2.builder.combined">FileBasedConfiguration</a>
<div class="block">
 An interface which combines the <code>FileBased</code> and <code>Configuration</code>
 interfaces.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/HierarchicalConfiguration.html#org.apache.commons.configuration2.builder.combined">HierarchicalConfiguration</a>
<div class="block">
 An interface for mutable hierarchical configurations.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.builder.fluent">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> used by <a href="../../../../org/apache/commons/configuration2/builder/fluent/package-summary.html">org.apache.commons.configuration2.builder.fluent</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/CombinedConfiguration.html#org.apache.commons.configuration2.builder.fluent">CombinedConfiguration</a>
<div class="block">
 A hierarchical composite configuration class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/FileBasedConfiguration.html#org.apache.commons.configuration2.builder.fluent">FileBasedConfiguration</a>
<div class="block">
 An interface which combines the <code>FileBased</code> and <code>Configuration</code>
 interfaces.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/INIConfiguration.html#org.apache.commons.configuration2.builder.fluent">INIConfiguration</a>
<div class="block">
 A specialized hierarchical configuration implementation for parsing ini
 files.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/PropertiesConfiguration.html#org.apache.commons.configuration2.builder.fluent">PropertiesConfiguration</a>
<div class="block">This is the "classic" Properties loader which loads the values from
 a single or multiple files (which can be chained with "include =".</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/XMLConfiguration.html#org.apache.commons.configuration2.builder.fluent">XMLConfiguration</a>
<div class="block">
 A specialized hierarchical configuration class that is able to parse XML
 documents.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.plist">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> used by <a href="../../../../org/apache/commons/configuration2/plist/package-summary.html">org.apache.commons.configuration2.plist</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/AbstractConfiguration.html#org.apache.commons.configuration2.plist">AbstractConfiguration</a>
<div class="block">Abstract configuration class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/AbstractHierarchicalConfiguration.html#org.apache.commons.configuration2.plist">AbstractHierarchicalConfiguration</a>
<div class="block">
 A specialized configuration class that extends its base class by the ability
 of keeping more structure in the stored properties.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/BaseHierarchicalConfiguration.html#org.apache.commons.configuration2.plist">BaseHierarchicalConfiguration</a>
<div class="block">
 A specialized hierarchical configuration implementation that is based on a
 structure of <a href="../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree"><code>ImmutableNode</code></a> objects.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/Configuration.html#org.apache.commons.configuration2.plist">Configuration</a>
<div class="block">The main Configuration interface.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/FileBasedConfiguration.html#org.apache.commons.configuration2.plist">FileBasedConfiguration</a>
<div class="block">
 An interface which combines the <code>FileBased</code> and <code>Configuration</code>
 interfaces.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/HierarchicalConfiguration.html#org.apache.commons.configuration2.plist">HierarchicalConfiguration</a>
<div class="block">
 An interface for mutable hierarchical configurations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/ImmutableConfiguration.html#org.apache.commons.configuration2.plist">ImmutableConfiguration</a>
<div class="block">The main interface for accessing configuration data in a read-only fashion.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/ImmutableHierarchicalConfiguration.html#org.apache.commons.configuration2.plist">ImmutableHierarchicalConfiguration</a>
<div class="block">
 An interface for immutable hierarchical configurations.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.spring">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> used by <a href="../../../../org/apache/commons/configuration2/spring/package-summary.html">org.apache.commons.configuration2.spring</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/CompositeConfiguration.html#org.apache.commons.configuration2.spring">CompositeConfiguration</a>
<div class="block"><code>CompositeConfiguration</code> allows you to add multiple <code>Configuration</code>
 objects to an aggregated configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/Configuration.html#org.apache.commons.configuration2.spring">Configuration</a>
<div class="block">The main Configuration interface.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.web">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> used by <a href="../../../../org/apache/commons/configuration2/web/package-summary.html">org.apache.commons.configuration2.web</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/AbstractConfiguration.html#org.apache.commons.configuration2.web">AbstractConfiguration</a>
<div class="block">Abstract configuration class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/Configuration.html#org.apache.commons.configuration2.web">Configuration</a>
<div class="block">The main Configuration interface.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/configuration2/class-use/ImmutableConfiguration.html#org.apache.commons.configuration2.web">ImmutableConfiguration</a>
<div class="block">The main interface for accessing configuration data in a read-only fashion.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/configuration2/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
